#
# spec file for package apache2-mod_form (Version 1.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define apxs /usr/bin/apxs
BuildRequires:  apache-devel

%define apache apache
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
#
Name:		apache-mod_form
Version:	0.1
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
Summary:	mod_form is an Apache module to decode data submitted from Web forms
#
# The tarball's contents were downloaded from:
# http://apache.webthing.com/svn/apache/forms/mod_form.c
# http://apache.webthing.com/svn/apache/forms/mod_form.h
# the version number 0.1 is arbitrary, because I couldn't find any
# poeml, Mon Sep 28 15:08:43 CEST 2009
Source:		mod_form-%{version}.tar.gz
# preserve r->args (apr_strtok is
# destructive in this regard). Makes mod_autoindex work again in
# conjunction with directories where FormGET is enabled.
Patch0:		mod_form.c.preserve_args.patch
#
Requires:	apache %{apache_mmn} 
URL:		http://apache.webthing.com/mod_form/

%description
mod_form is a utility to decode data submitted from Web forms. It deals with
both GET and POST methods where the data are encoded using the default content
type application/x-www-form-urlencoded. It does not decode multipart/form-data
(file upload) forms: for those you should use mod_upload.

%prep
%setup -q -n mod_form-%{version}
%patch0

%build
%{apxs} -c mod_form.c

%install
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_includedir}
cp -p .libs/mod_form.so $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p mod_form.h $RPM_BUILD_ROOT/%{apache_includedir}

%files
#%doc mod_*.{c,h}
%{apache_libexecdir}/*.so
%{apache_includedir}/*.h


%changelog
* Tue Oct 22 2013 ovitters <ovitters> 0.1-2.mga4
+ Revision: 546352
- fix description

* Tue Oct 22 2013 ovitters <ovitters> 0.1-1.mga4
+ Revision: 546333
- imported package apache-mod_form

